Skip to end of metadata
Go to start of metadata

3 April 2012

 

Atlassian presents version 3.0.3 of the Atlassian Connector for Eclipse.

What's new in this release?

  • Compatibility with JIRA 5.0
  • Compatibility with Mylyn 3.7
  • Bug fixes

Important Note when Upgrading from version 2.3 or earlier

The majority of the Crucible and FishEye integration has been removed in version 3.0 of the Atlassian Connector for Eclipse. The Connector still supports opening files in Eclipse from Fisheye. 

For more details, please read the announcement.

Don't have the Atlassian Connector for Eclipse yet?

You can install the connector directly from the Eclipse software updates manager or from a zipped archive. Follow our installation guide.

We love your feedback!

Please log your issues, requests and votes. They help us decide what needs doing.

This is an open source project. Fork it or get the source code from our bitbucket repository.

Highlights of this Release

JIRA 5 compatibility

JIRA 5.0 introduced few changes:

  • Limit of issues for RSS/XML request is set to 1000. Adding parameter tempMax with higher values causes JIRA to return HTTP 403 Forbidden error.
  • Changed error messages.

We have fixed all the known issues and now Atlassian Connector for Eclipse works fine with JIRA 5.0 as well as with the previous versions.

 

Mylyn 3.7 compatibility

Mylyn components were restructured according to http://wiki.eclipse.org/Mylyn/Porting_Guide#Pending_API_changes_in_3.7 and https://bugs.eclipse.org/bugs/show_bug.cgi?id=305782.

We have changed all the dependencies and now Atlassian Connector for Eclipse works with Mylyn 3.7.

 

Bug fixes

This release brings some bug fixes and small improvements. The following items are worth a mention:

  • Outline view fix for Comments and Attachments.
  • Improved error message for proxy problems.
  • Improved error message for invalid action problem caused by outdated issue state in the editor.
 
 

Complete List of Fixes in this Release

Loading

  • No labels